from setuptools import setup
from setuptools.extension import Extension
from setuptools.config import read_configuration

from Cython.Build import cythonize

import numpy

extensions = [
    Extension("disperse_c.interp", ["disperse_c/interp.pyx"],
        include_dirs = [numpy.get_include()],
        libraries=["m"]),
    
    Extension("disperse_c.disperse", ["disperse_c/disperse.pyx"],
        include_dirs = [numpy.get_include()],
        libraries=["m"]),
]


setup(
    name = "slssim_disperse",
    ext_modules = cythonize(extensions),
)
